The upgrade should have listed it's requirements but the "demo" can't be upgraded.

Bob